<?php

namespace Predial\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
class LoginController extends Controller{

    public function validar(Request $request){
        list(
            $usuario, $pass, $anno, $compania, $rol, $tercero
        ) = array(
            $request->txtUsuario, $request->txtContrasena, $request->sltAnno, $request->sltCompania, "", ""
        );

        if(!empty($request->txtUsuario)){
            if(!empty($request->txtContrasena)){
                $data = DB::table("gs_usuario")
                        ->select(
                            'usuario',
                            'contrasen',
                            'tercero',
                            'rol',
                            'id_unico',
                            'predial'
                        )
                        ->where('usuario',  '=',$usuario) 
                        ->where('contrasen','=', $pass)
                        ->where('estado','=', 1)
                        ->first();
                if($data != NULL){
                    if(($data->usuario == $usuario) && ($data->contrasen == $pass) && ($data->predial == 1 )){ 

                        $nombre_tercero = DB::table('gf_tercero as ter')
                                            ->select(
                                                DB::raw("IF(
                                                    CONCAT_WS(
                                                        ' ',
                                                        ter.nombreuno,
                                                        ter.nombredos,
                                                        ter.apellidouno,
                                                        ter.apellidodos
                                                    ) = ' ',
                                                    ter.razonsocial,
                                                    CONCAT_WS(
                                                        ' ',
                                                        ter.nombreuno,
                                                        ter.nombredos,
                                                        ter.apellidouno,ter.apellidodos
                                                    )
                                                ) as nombre"))
                                            ->where('ter.id_unico', '=', $data->tercero)
                                            ->first();
                        
                        session()->put('compania', $compania);
                        session()->put('anno', $anno);
                        session()->put('usuario', $usuario);
                        session()->put('usuario_tercero', $data->tercero);
                        session()->put('rol_menu', $data->rol);
                        session()->put('nom_tercero', $nombre_tercero->nombre);
                        session()->put('id_usuario', $data->id_unico);
                        return view('usuario.inicio');
                    }else{
                        flash()->overlay('Usuario y/o Contraseña erronea', 'Error');
                        return back();
                    }
                }else{
                    flash()->overlay('Usuario/Contraseña erronea', 'Error');
                    return back();
                }
            }else{
                flash()->overlay('Por favor ingrese contraseña', 'Error');
                return back();
            }
        }else{
            flash()->overlay('Por favor ingrese usuario', 'Error');
            return back();
        }
    }

    public function salir(){
        session()->flush();
        return redirect('/');
    }

    public function index(){
        if(!empty(session()->get('usuario'))){
            return view('usuario.inicio');
        }else{
            return redirect("CerrarSesion");
        }
    }
}
